W3C Simple API for CSS (SAC) version 1.3 - Java API: Class CSSException

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Class CSSException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.css.sac.CSSException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CSSParseException

public class CSSException
extends java.lang.RuntimeException

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary
`protected short` | `code`
`protected java.lang.Exception` | `e` The internal exception.
`protected java.lang.String` | `s`
`protected static java.lang.String` | `S_SAC_NOT_SUPPORTED_ERR`
`protected static java.lang.String` | `S_SAC_SYNTAX_ERR`
`protected static java.lang.String` | `S_SAC_UNSPECIFIED_ERR`
`static short` | `SAC_NOT_SUPPORTED_ERR` If the operation is not supported
`static short` | `SAC_SYNTAX_ERR` If an invalid or illegal string is specified
`static short` | `SAC_UNSPECIFIED_ERR` this error is unspecified.

Constructor Summary
`CSSException()` Creates a new CSSException
`CSSException(java.lang.Exception e)` Creates a new CSSException with an embeded exception.
`CSSException(short code)` Creates a new CSSException with a specific code.
`CSSException(short code, java.lang.String s, java.lang.Exception e)` Creates a new CSSException with an embeded exception and a specified message.
`CSSException(java.lang.String s)` Creates a new CSSException

Method Summary
`short` | `getCode()` returns the error code for this exception.
`java.lang.Exception` | `getException()` Returns the internal exception if any, null otherwise.
`java.lang.String` | `getMessage()` Returns the detail message of this throwable object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    protected short code

### e

    protected java.lang.Exception e

  The internal exception.

### s

    protected java.lang.String s

### S_SAC_NOT_SUPPORTED_ERR

    protected static final java.lang.String S_SAC_NOT_SUPPORTED_ERR

### S_SAC_SYNTAX_ERR

    protected static final java.lang.String S_SAC_SYNTAX_ERR

### S_SAC_UNSPECIFIED_ERR

    protected static final java.lang.String S_SAC_UNSPECIFIED_ERR

### SAC_NOT_SUPPORTED_ERR

    public static final short SAC_NOT_SUPPORTED_ERR

  If the operation is not supported

### SAC_SYNTAX_ERR

    public static final short SAC_SYNTAX_ERR

  If an invalid or illegal string is specified

### SAC_UNSPECIFIED_ERR

    public static final short SAC_UNSPECIFIED_ERR

  this error is unspecified.

Constructor Detail

### CSSException

    public CSSException()

  Creates a new CSSException

### CSSException

    public CSSException(java.lang.Exception e)

  Creates a new CSSException with an embeded exception.
  Parameters:
    `a` - the embeded exception.

### CSSException

    public CSSException(short code)

  Creates a new CSSException with a specific code.
  Parameters:
    `a` - the embeded exception.

### CSSException

    public CSSException(short code,
                        java.lang.String s,
                        java.lang.Exception e)

  Creates a new CSSException with an embeded exception and a specified message.
  Parameters:
    `code` - the specified code.
    `e` - the embeded exception.

### CSSException

    public CSSException(java.lang.String s)

  Creates a new CSSException

Method Detail

### getCode

    public short getCode()

  returns the error code for this exception.

### getException

    public java.lang.Exception getException()

  Returns the internal exception if any, null otherwise.

### getMessage

    public java.lang.String getMessage()

  Returns the detail message of this throwable object.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message of this Throwable, or null if this Throwable does not have a detail message.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.